| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Static Public Member Functions | Protected Member Functions | List of all members
cv::img_hash::AverageHash Class Reference
The module brings implementations of different image hashing algorithms.

Computes average hash value of the input image. More...

`#include <opencv2/img_hash/average_hash.hpp>`

Collaboration diagram for cv::img_hash::AverageHash:

## Static Public Member Functions
static Ptr< AverageHash > | create ()
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Protected Member Functions
| AverageHash ()
Protected Member Functions inherited from cv::img_hash::ImgHashBase
| ImgHashBase ()
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Additional Inherited Members
Public Member Functions inherited from cv::img_hash::ImgHashBase
| ~ImgHashBase ()
double | compare (cv::InputArray hashOne, cv::InputArray hashTwo) const
| Compare the hash value between inOne and inTwo.
void | compute (cv::InputArray inputArr, cv::OutputArray outputArr)
| Computes hash of the input image.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const
Protected Attributes inherited from cv::img_hash::ImgHashBase
Ptr< ImgHashImpl > | pImpl

## Detailed Description

Computes average hash value of the input image.

This is a fast image hashing algorithm, but only work on simple case. For more details, please refer to [150]

## Constructor & Destructor Documentation

## ◆ AverageHash()

cv::img_hash::AverageHash::AverageHash | ( |  | ) |
| inline protected

## Member Function Documentation

## ◆ create()

static Ptr< AverageHash > cv::img_hash::AverageHash::create | ( |  | ) |
| static

Python:
| cv.img_hash.AverageHash.create( |  | ) -> | retval
| cv.img_hash.AverageHash_create( |  | ) -> | retval

The documentation for this class was generated from the following file:

- opencv2/img_hash/average_hash.hpp